API reference
Get one email with its events
Source: OpenAPI (openapi/openapi.yaml).
curl -X GET "https://api.sendtier.example/emails/string" \ -H "Authorization: Bearer st_live_REPLACE_ME"{ "id": "string", "status": "queued", "status_detail": "string", "created_at": "2019-08-24T14:15:22Z", "from": "string", "to": [ "string" ], "subject": "string", "test_mode": true, "html": "string", "text": "string", "tags": { "property1": "string", "property2": "string" }, "scheduled_at": "2019-08-24T14:15:22Z", "events": [ { "type": "email.queued", "occurred_at": "2019-08-24T14:15:22Z", "data": {} } ]}GET
header
AuthorizationBearer <token>API key: st_live_... or st_test_...
email_id*stringThe email.
application/json- response
id*stringstatus*EmailStatusValue in
"queued""scheduled""sent""delayed""delivered""bounced""complained""failed""canceled"status_detail?stringProvider detail for the current status, truncated to 500 characters when present.
Length
length <= 500created_at*stringFormat
date-timefrom*stringto*array<string>subject*stringtest_mode*booleanhtml?stringtext?stringtags?scheduled_at?stringFormat
date-timeevents*array<>